Bug 3598 - isbn and import from z39.50
Summary: isbn and import from z39.50
Status: CLOSED WONTFIX
Alias: None
Product: Koha
Classification: Unclassified
Component: Z39.50 / SRU / OpenSearch Servers (show other bugs)
Version: unspecified
Hardware: PC All
: PATCH-Sent (DO NOT USE) normal (vote)
Assignee: Nahuel Angelinetti
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-09-10 12:51 UTC by Nahuel Angelinetti
Modified: 2012-10-26 00:40 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
bugfix (2.08 KB, patch)
2009-09-10 12:53 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:12:42 UTC


---- Reported by nahuel.angelinetti@biblibre.com 2009-09-10 12:51:45 ----

Importing records from z39.50 in the database, doesn't normalize ISBN. Koha should have normalized ISBN else it create a lot of problems.



---- Additional Comments From nahuel.angelinetti@biblibre.com 2009-09-10 12:53:34 ----

Created an attachment
bugfix





---- Additional Comments From gmcharlt@gmail.com 2009-09-16 02:03:38 ----

Patch rejected as proposed for the following reason:

"I will not be pushing this patch as proposed, as records imported via Z39.50 should not be munged in this manner.  Many AACR2-based catalogers would object to having an ISBN entered according to ISBD rules, e.g.,

020  	##$a0914378260 (pbk. : v. 1) :$c$5.00 

be automatically converted upon record import to

020  	##$a0914378260c$5.00 

ISBNs should be normalized *outside* of the MARC record as needed for indexing and searching.  To unconditionally strip away data from the source MARC record would only lead to the impression that Koha is not suitable for traditional MARC cataloging.  You may not like the rules, but I don't make 'em.  You really do have to do this hard way - normalize the ISBN for indexing and searching.  Fortunately, there's another patch in the queue that will help get us there."



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:12 UTC  ---

This bug was previously known as _bug_ 3598 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=3598
Imported an attachment (id=1453)

Actual time not defined. Setting to 0.0
The original submitter of attachment 1453 [details] [review] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.